export const validateEmail = (rule, value, callback) => {
	const reg = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/
	if (value === '') {
		callback(new Error(`${rule.label}不能为空`))
	} else if (!reg.test(value)) {
		callback(new Error(`请检查${rule.label}格式是否正确`))
	} else {
		callback()
	}
}
export const validateIdCard = (rule, value, callback) => {
	const reg = /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}$)/
	if (value === '') {
		callback(new Error(`${rule.label}不能为空`))
	} else if (!reg.test(value)) {
		callback(new Error(`请检查${rule.label}格式是否正确`))
	} else {
		callback()
	}
}
export const validatePhone = (rule, value, callback) => {
	const reg = /^1[3456789]\d{9}$/
	if (value === '') {
		callback(new Error(`${rule.label}不能为空`))
	} else if (!reg.test(value)) {
		callback(new Error(`请检查${rule.label}格式是否正确`))
	} else {
		callback()
	}
}
export const validatePostalCode = (rule, value, callback) => {
	const reg = /^(0[1-7]|1[0-356]|2[0-7]|3[0-6]|4[0-7]|5[1-7]|6[1-7]|7[0-5]|8[013-6])\d{4}$/
	if (value === '') {
		callback(new Error(`${rule.label}不能为空`))
	} else if (!reg.test(value)) {
		callback(new Error(`请检查${rule.label}格式是否正确`))
	} else {
		callback()
	}
}

export const validateCustom = (rule, value, callback) => {
	const reg = rule.pattern
	if (value === '') {
		callback(new Error(`${rule.label}不能为空`))
	} else if (!reg.test(value)) {
		callback(new Error(`请检查${rule.label}格式是否正确`))
	} else {
		callback()
	}
}
